Package org.apache.commons.math3.ml.neuralnet

# Enum SquareNeighbourhood

java.lang.Object
java.lang.Enum<SquareNeighbourhood>
org.apache.commons.math3.ml.neuralnet.SquareNeighbourhood

All Implemented Interfaces:
  `Serializable`, `Comparable<SquareNeighbourhood>`, `java.lang.constant.Constable`

public enum SquareNeighbourhood extends Enum<SquareNeighbourhood>
Defines neighbourhood types.

Since:
  3.3

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MOORE`
invalid input: '<'a href="http://en.wikipedia.org/wiki/Moore_neighborhood" Moore neighbourhood: in two dimensions, each (internal) neuron has eight neighbours.
`VON_NEUMANN`
invalid input: '<'a href="http://en.wikipedia.org/wiki/Von_Neumann_neighborhood" Von Neumann neighbourhood: in two dimensions, each (internal) neuron has four neighbours.

## Method Summary

Modifier and Type
Method
Description
`static SquareNeighbourhood`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SquareNeighbourhood[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VON_NEUMANN

public static final SquareNeighbourhood VON_NEUMANN
invalid input: '<'a href="http://en.wikipedia.org/wiki/Von_Neumann_neighborhood" Von Neumann neighbourhood: in two dimensions, each (internal) neuron has four neighbours.

### MOORE

public static final SquareNeighbourhood MOORE
invalid input: '<'a href="http://en.wikipedia.org/wiki/Moore_neighborhood" Moore neighbourhood: in two dimensions, each (internal) neuron has eight neighbours.

## Method Details

### values

public static SquareNeighbourhood[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SquareNeighbourhood valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null